package com.zjrs.zwnw.psam.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
/**
* @author liangxiudong
* @since 2021-04-07
*/
@TableName("RS_PSAM_YWXX_SQB")
@ApiModel(value="RsPsamYwxxSqbPO对象", description="PSAM卡申请表")
public class RsPsamYwxxSqbPO {

    @ApiModelProperty(value = "PSAM卡申请表流水号")
    @TableId(value = "RS_PSAM_YWXX_SQB_LSH", type = IdType.ASSIGN_UUID)
    private String rsPsamYwxxSqbLsh;

    @ApiModelProperty(value = "办件流水号")
    @TableField("RS_WB_BJ_LSH")
    private String rsWbBjLsh;

    @ApiModelProperty(value = "受理流水号")
    @TableField("SLLSH")
    private String sllsh;

    @ApiModelProperty(value = "安装机构流水号")
    @TableField("RS_PSAM_AZJGXX_LSH")
    private String rsPsamAzjgxxLsh;

    @ApiModelProperty(value = "PSAM卡编号")
    @TableField("PSAMBH")
    private String psambh;

    @ApiModelProperty(value = "机构类型")
    @TableField("JGLX")
    private String jglx;

    @ApiModelProperty(value = "商户类型")
    @TableField("SHLX")
    private String shlx;

    @ApiModelProperty(value = "办公电话")
    @TableField("BGDH")
    private String bgdh;

    @ApiModelProperty(value = "申请用途")
    @TableField("SQYT")
    private String sqyt;

    @ApiModelProperty(value = "申请数量")
    @TableField("SQSL")
    private String sqsl;

    @ApiModelProperty(value = "商户编号")
    @TableField("SHBH")
    private String shbh;

    @ApiModelProperty(value = "单位基本信息ID")
    @TableField("ZTID")
    private String ztid;

    public String getRsPsamYwxxSqbLsh() {
        return rsPsamYwxxSqbLsh;
    }

    public void setRsPsamYwxxSqbLsh(String rsPsamYwxxSqbLsh) {
        this.rsPsamYwxxSqbLsh = rsPsamYwxxSqbLsh;
    }

    public String getRsWbBjLsh() {
        return rsWbBjLsh;
    }

    public void setRsWbBjLsh(String rsWbBjLsh) {
        this.rsWbBjLsh = rsWbBjLsh;
    }

    public String getSllsh() {
        return sllsh;
    }

    public void setSllsh(String sllsh) {
        this.sllsh = sllsh;
    }

    public String getRsPsamAzjgxxLsh() {
        return rsPsamAzjgxxLsh;
    }

    public void setRsPsamAzjgxxLsh(String rsPsamAzjgxxLsh) {
        this.rsPsamAzjgxxLsh = rsPsamAzjgxxLsh;
    }

    public String getPsambh() {
        return psambh;
    }

    public void setPsambh(String psambh) {
        this.psambh = psambh;
    }

    public String getJglx() {
        return jglx;
    }

    public void setJglx(String jglx) {
        this.jglx = jglx;
    }

    public String getShlx() {
        return shlx;
    }

    public void setShlx(String shlx) {
        this.shlx = shlx;
    }

    public String getBgdh() {
        return bgdh;
    }

    public void setBgdh(String bgdh) {
        this.bgdh = bgdh;
    }

    public String getSqyt() {
        return sqyt;
    }

    public void setSqyt(String sqyt) {
        this.sqyt = sqyt;
    }

    public String getSqsl() {
        return sqsl;
    }

    public void setSqsl(String sqsl) {
        this.sqsl = sqsl;
    }

    public String getShbh() {
        return shbh;
    }

    public void setShbh(String shbh) {
        this.shbh = shbh;
    }

    public String getZtid() {
        return ztid;
    }

    public void setZtid(String ztid) {
        this.ztid = ztid;
    }
}
